#ifndef __BITMAP_H_INCLUDED
#define __BITMAP_H_INCLUDED

#include "wintype.h"
#include "gfxobj.h"

#define BMP_SIG_WORD  0x706D4221    /* !Bmp */

typedef struct tagBITMAP {
  GFXOBJECT hdr;
  INT32 width;
  INT32 height;
  UINT16 bits[0];
} BITMAP, *PBITMAP;

extern PBITMAP BMP_Create(INT32 width, INT32 height, const void *bits);
extern void BMP_Delete(PBITMAP pbmp);

#endif /* __BITMAP_H_INCLUDED */