#ifndef __FBPRIMITIVE_H_INCLUDED
#define __FBPRIMITIVE_H_INCLUDED

#include "wintype.h"

/* Some predefined "primitive" color values */
#define FBPRIMCLR_BLACK   0x0000
#define FBPRIMCLR_RED     0xF800
#define FBPRIMCLR_GREEN   0x07E0
#define FBPRIMCLR_BLUE    0x001F
#define FBPRIMCLR_YELLOW  0xFFE0
#define FBPRIMCLR_CYAN    0x07FF
#define FBPRIMCLR_MAGENTA 0xF81F
#define FBPRIMCLR_WHITE   0xFFFF

extern UINT16 Fb_setpixel(INT32 x, INT32 y, UINT16 color, BOOL xor);
extern void Fb_line(INT32 x1, INT32 y1, INT32 x2, INT32 y2, UINT16 color, BOOL xor);
extern void Fb_rectangle(INT32 x1, INT32 y1, INT32 x2, INT32 y2, UINT16 color, BOOL xor);
extern void Fb_filled_rectangle(INT32 x1, INT32 y1, INT32 x2, INT32 y2, UINT16 color, BOOL xor);
extern void Fb_textout(INT32 x, INT32 y, PCSTR pstr);

#endif /* __FBPRIMITIVE_H_INCLUDED */
